summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-misc/ckb
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-misc/ckb')
-rw-r--r--app-misc/ckb/Manifest2
-rw-r--r--app-misc/ckb/ckb-0.1.5.ebuild46
-rw-r--r--app-misc/ckb/ckb-0.2.ebuild46
-rw-r--r--app-misc/ckb/files/ckb.initd29
-rw-r--r--app-misc/ckb/metadata.xml11
5 files changed, 134 insertions, 0 deletions
diff --git a/app-misc/ckb/Manifest b/app-misc/ckb/Manifest
new file mode 100644
index 00000000000..ca5334e6ea3
--- /dev/null
+++ b/app-misc/ckb/Manifest
@@ -0,0 +1,2 @@
+DIST ckb-0.1.5.tar.gz 370107 SHA256 944e2735ca397287fbbadcff4f6946a7bcfd2a1a4d12f5e121a79e6b4fd39f8a SHA512 2f6b876e09c3f012c09d7d0f80ce21c80325d2588427074aeb9eb287b2aae58fdb66290bbd3643eeb7d6523d8230b6787c6517dd8a996db5af13c00fc8e84414 WHIRLPOOL 2b3fe82e407246487464d3888b908126c034965f6cdd89fd9155e3cc64d6dee9e6b388c4f7ce83e9085992d663a8f773b5582a56da95e8460cba97a1af5364cd
+DIST ckb-0.2.tar.gz 422398 SHA256 5d8a4e3dd49117e8af979406af11c4f7898065f258900683a1e26aa867e8871d SHA512 fb10ed3c93aee97f57bcc1419dc5e5d49f167367056d139f763c522b7b500d3489df04978d384cbc2533636c87bacc66632bbe0215fe4adf625d8c836d16a1ea WHIRLPOOL ee9df503909d1b7a6cb04e0062a4917a4e8c52f8b85ad480702863a6a3de11c84179954758bdb5cf0fc9970890a0f4ca1c5077b53fd3977873d5cf807ef49081
diff --git a/app-misc/ckb/ckb-0.1.5.ebuild b/app-misc/ckb/ckb-0.1.5.ebuild
new file mode 100644
index 00000000000..8c4a97a52f9
--- /dev/null
+++ b/app-misc/ckb/ckb-0.1.5.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit qmake-utils systemd
+
+DESCRIPTION="Corsair K65/K70/K95 Driver"
+HOMEPAGE="https://github.com/ccMSC/ckb"
+SRC_URI="https://github.com/ccMSC/ckb/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="dev-libs/quazip[qt5]
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5"
+RDEPEND="${DEPEND}"
+
+DOCS=( README.md BUILD.md DAEMON.md )
+
+src_prepare() {
+ sed -i -e "s/-Werror=all//" src/ckb-daemon/ckb-daemon.pro || die
+ sed -i -e "/quazip/d" -e "s/^.*QUAZIP_STATIC/LIBS += -lquazip/" src/ckb/ckb.pro || die
+}
+
+src_configure() {
+ eqmake5
+}
+
+src_install() {
+ dobin bin/ckb bin/ckb-daemon
+ dodir /usr/bin/ckb-animations
+ exeinto /usr/bin/ckb-animations
+ doexe bin/ckb-animations/*
+
+ newinitd "${FILESDIR}"/ckb.initd ckb-daemon
+ domenu usr/ckb.desktop
+ doicon usr/ckb.png
+ systemd_dounit service/systemd/ckb-daemon.service
+}
diff --git a/app-misc/ckb/ckb-0.2.ebuild b/app-misc/ckb/ckb-0.2.ebuild
new file mode 100644
index 00000000000..8c4a97a52f9
--- /dev/null
+++ b/app-misc/ckb/ckb-0.2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit qmake-utils systemd
+
+DESCRIPTION="Corsair K65/K70/K95 Driver"
+HOMEPAGE="https://github.com/ccMSC/ckb"
+SRC_URI="https://github.com/ccMSC/ckb/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="dev-libs/quazip[qt5]
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5"
+RDEPEND="${DEPEND}"
+
+DOCS=( README.md BUILD.md DAEMON.md )
+
+src_prepare() {
+ sed -i -e "s/-Werror=all//" src/ckb-daemon/ckb-daemon.pro || die
+ sed -i -e "/quazip/d" -e "s/^.*QUAZIP_STATIC/LIBS += -lquazip/" src/ckb/ckb.pro || die
+}
+
+src_configure() {
+ eqmake5
+}
+
+src_install() {
+ dobin bin/ckb bin/ckb-daemon
+ dodir /usr/bin/ckb-animations
+ exeinto /usr/bin/ckb-animations
+ doexe bin/ckb-animations/*
+
+ newinitd "${FILESDIR}"/ckb.initd ckb-daemon
+ domenu usr/ckb.desktop
+ doicon usr/ckb.png
+ systemd_dounit service/systemd/ckb-daemon.service
+}
diff --git a/app-misc/ckb/files/ckb.initd b/app-misc/ckb/files/ckb.initd
new file mode 100644
index 00000000000..856d37c9e7d
--- /dev/null
+++ b/app-misc/ckb/files/ckb.initd
@@ -0,0 +1,29 @@
+#!/sbin/runscript
+## Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+extra_started_commands="reload"
+command="/usr/bin/ckb-daemon"
+description="Controller for Corsair Keyboard Driver"
+pidfile="/run/ckb.pid"
+logfile="/var/run/ckb.log"
+
+start() {
+ ebegin "Starting Corsair Keyboard Driver"
+ start-stop-daemon --start --exec "${command}" --pidfile "${pidfile}" --background \
+ --stdout "${logfile}" --stderr "${logfile}"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Corsair Keyboard Driver"
+ start-stop-daemon --stop --exec "${command}" --pidfile "${pidfile}"
+ eend $?
+
+}
+
+reload() {
+ stop
+ sleep 3
+ start
+}
diff --git a/app-misc/ckb/metadata.xml b/app-misc/ckb/metadata.xml
new file mode 100644
index 00000000000..8c7152e3867
--- /dev/null
+++ b/app-misc/ckb/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>mrueg@gentoo.org</email>
+ <name>Manuel Rüger</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">ccMSC/ckb</remote-id>
+ </upstream>
+</pkgmetadata>